Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.jmx
Class JmxUtil

    java.lang.Object
      org.jboss.cache.jmx.JmxUtil
          org.jboss.cache.pojo.jmx.JmxUtil

    public class JmxUtil

extends org.jboss.cache.jmx.JmxUtil

Various JMX related utilities

Version:
  $Id: JmxUtil.java 3892 2007-05-23 10:28:59Z msurtani $
Author:
  Ben Wang

Field Summary
`static String` | `POJO_CACHE_DOMAIN`
`static String` | `POJO_CACHE_TYPE`

Fields inherited from class org.jboss.cache.jmx.JmxUtil
`BASE_PREFIX, CACHE_TYPE_KEY, CLUSTER_KEY, INTERCEPTOR_KEY, JBOSS_CACHE_DOMAIN, JBOSS_SERVER_DOMAIN, MBEAN_CLASS_SUFFIX, NO_CLUSTER_PREFIX, PLAIN_CACHE_TYPE, PREFIX, SERVICE_KEY_NAME, UNIQUE_ID_KEY`

Constructor Summary
`JmxUtil()`

Method Summary
`static ObjectName` | `getPlainCacheObjectName(ObjectName pojoCacheName)`
`static void` | `registerPojoCache(MBeanServer server, PojoCacheJmxWrapperMBean cache, String objectName)`
`static void` | `unregisterPojoCache(MBeanServer server, String objectName)`

Methods inherited from class org.jboss.cache.jmx.JmxUtil
`getDefaultCacheObjectName, getDefaultCacheObjectName, getUniqueId, registerCacheMBean, registerInterceptors, unregisterCacheMBean, unregisterInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POJO_CACHE_DOMAIN

    public static final String POJO_CACHE_DOMAIN

See Also:
  Constant Field Values

### POJO_CACHE_TYPE

    public static final String POJO_CACHE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### JmxUtil

    public JmxUtil()

Method Detail

### registerPojoCache

    public static void registerPojoCache(MBeanServer server,
                                         PojoCacheJmxWrapperMBean cache,
                                         String objectName)
                                  throws Exception

  Throws:
    `Exception`

### getPlainCacheObjectName

    public static ObjectName getPlainCacheObjectName(ObjectName pojoCacheName)
                                              throws MalformedObjectNameException

  Throws:
    `MalformedObjectNameException`

### unregisterPojoCache

    public static void unregisterPojoCache(MBeanServer server,
                                           String objectName)
                                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.